﻿using Dto;
using Shared;

namespace API.Service;

public class InquiryDataServiceApi(IInquiryService<InquiryDTO> inquiryService) : IInquiryService<InquiryDTO>
{
    public IEnumerable<InquiryDTO> GetInquiries(int page, int number) => inquiryService.GetInquiries(page, number);

    public InquiryDTO GetInquiryById(int id) => inquiryService.GetInquiryById(id);

    public InquiryDTO GetInquiryByTitle(string title) => inquiryService.GetInquiryByTitle(title);
}